Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.file
Interface ResourceManagerErrorCodes

All Known Implementing Classes:
  FileResourceManager, ResourceManagerException

public interface ResourceManagerErrorCodes

Error codes for resource managers.

Version:
  $Revision$
See Also:
  `ResourceManager`, `ResourceManagerException`, `ResourceManagerSystemException`

Field Summary
`static int` | `ERR_DEAD_LOCK` Error code: lock could not be acquired error
`static int` | `ERR_DUP_TX` Error code: transaction identifier already exists error
`static int` | `ERR_ISOLATION_LEVEL_UNSUPPORTED` Error code: requested isolation level is not supported for this transaction error
`static int` | `ERR_LOCK` Error code: general lock error
`static int` | `ERR_MARKED_FOR_ROLLBACK` Error code: operation not possible as transaction is alredy marked for rollback error
`static int` | `ERR_NO_LOCK` Error code: lock could not be acquired error
`static int` | `ERR_NO_SUCH_RESOURCE` Error code: resource does not exist error
`static int` | `ERR_NO_TX` Error code: no transaction error
`static int` | `ERR_RESOURCE_EXISTS` Error code: resource already exists error
`static int` | `ERR_RESOURCEID_INVALID` Error code: resource identifier invalid error
`static int` | `ERR_SYSTEM` Error code: general system error
`static int` | `ERR_SYSTEM_INCONSISTENT` Error code: global inconsistent data system error
`static int` | `ERR_THREAD_INVALID` Error code: calling thread is not owner of transaction error (only in single thread implementations)
`static int` | `ERR_TX_INACTIVE` Error code: transaction inactive error
`static int` | `ERR_TX_INCONSISTENT` Error code: inconsistent transaction data system error
`static int` | `ERR_TXID_INVALID` Error code: transaction identifier invalid error
`static int` | `ERR_UNKNOWN` Error code: unknown error

Field Detail

### ERR_UNKNOWN

    public static final int ERR_UNKNOWN

  Error code: unknown error

  See Also:
    Constant Field Values

### ERR_SYSTEM

    public static final int ERR_SYSTEM

  Error code: general system error

  See Also:
    Constant Field Values

### ERR_SYSTEM_INCONSISTENT

    public static final int ERR_SYSTEM_INCONSISTENT

  Error code: global inconsistent data system error

  See Also:
    Constant Field Values

### ERR_TX_INCONSISTENT

    public static final int ERR_TX_INCONSISTENT

  Error code: inconsistent transaction data system error

  See Also:
    Constant Field Values

### ERR_NO_TX

    public static final int ERR_NO_TX

  Error code: no transaction error

  See Also:
    Constant Field Values

### ERR_TXID_INVALID

    public static final int ERR_TXID_INVALID

  Error code: transaction identifier invalid error

  See Also:
    Constant Field Values

### ERR_TX_INACTIVE

    public static final int ERR_TX_INACTIVE

  Error code: transaction inactive error

  See Also:
    Constant Field Values

### ERR_DUP_TX

    public static final int ERR_DUP_TX

  Error code: transaction identifier already exists error

  See Also:
    Constant Field Values

### ERR_THREAD_INVALID

    public static final int ERR_THREAD_INVALID

  Error code: calling thread is not owner of transaction error (only in single thread implementations)

  See Also:
    Constant Field Values

### ERR_ISOLATION_LEVEL_UNSUPPORTED

    public static final int ERR_ISOLATION_LEVEL_UNSUPPORTED

  Error code: requested isolation level is not supported for this transaction error

  See Also:
    Constant Field Values

### ERR_MARKED_FOR_ROLLBACK

    public static final int ERR_MARKED_FOR_ROLLBACK

  Error code: operation not possible as transaction is alredy marked for rollback error

  See Also:
    Constant Field Values

### ERR_RESOURCEID_INVALID

    public static final int ERR_RESOURCEID_INVALID

  Error code: resource identifier invalid error

  See Also:
    Constant Field Values

### ERR_RESOURCE_EXISTS

    public static final int ERR_RESOURCE_EXISTS

  Error code: resource already exists error

  See Also:
    Constant Field Values

### ERR_NO_SUCH_RESOURCE

    public static final int ERR_NO_SUCH_RESOURCE

  Error code: resource does not exist error

  See Also:
    Constant Field Values

### ERR_LOCK

    public static final int ERR_LOCK

  Error code: general lock error

  See Also:
    Constant Field Values

### ERR_NO_LOCK

    public static final int ERR_NO_LOCK

  Error code: lock could not be acquired error

  See Also:
    Constant Field Values

### ERR_DEAD_LOCK

    public static final int ERR_DEAD_LOCK

  Error code: lock could not be acquired error

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.